WCSCPY(3)

NAME
wcscpy, wcsncpy - copy wide strings

SYNOPSIS
#include <wchar.h>
wchar_t *
wcscpy(wchar_t * restrict dst, const wchar_t * restrict src);
wchar_t *
wcsncpy(wchar_t * restrict dst, const wchar_t * restrict src, size_t len);

DESCRIPTION
The wcscpy() function copies the wide string src to dst (including the terminating null wide character).

The wcsncpy() function copies not more than len wide characters to dst, appending null wide characters if the length of src is less than len, and not terminating dst if the length of src is greater than or equal to len.

RETURN VALUES
The wcscpy() and wcsncpy() functions return dst.

SEE ALSO
wcslcpy(3), wmemcpy(3), wmemmove(3)

STANDARDS
The wcscpy() and wcsncpy() functions conform to isoC-99 and were first introduced in isoC-amd1.